Temp Projects - Tasks #12645

Royal Star : Cost Update in POSibolt
12/12/2023 06:51 PM - Rijas P

Status: Closed Start date: 12/12/2023
Priority: High Due date:

Assignee: Rijas P % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.50 hour
Description

Dear Suhail,

s we communicated earlier, the Cost of some items exported from our previous software was wrong.

Kindly request you to update the Actual Cost in POSibolt same as mentioned in the attached file.

History

#1 - 12/13/2023 06:49 PM - Mohamed Suhail
- Status changed from New to Resolved
- Assignee changed from Mohamed Suhail to Rijas P

- % Done changed from 0 to 100

Rijas P wrote:
Dear Suhail,
s we communicated earlier, the Cost of some items exported from our previous software was wrong.

Kindly request you to update the Actual Cost in POSibolt same as mentioned in the attached file.

Done, please check and confirm Rijas P

posiboltdb=# update m_cost mc set currentcostprice=costprice from (select tcu.*,mp.m_product_id,mc.currentcostprice oldcost from
temp_cost_update tcu join m_product mp on mp.name=tcu.name join m_cost mc on mc.m_product_id=mp.m_product_id and
mc.m_costelement_id=1000000) as aa where aa.m_product_id=mc.m_product_id and mc.m_costelement_id=1000000;

UPDATE 3678

posiboltdb=# update m_costdetail mcd set amt = productcost(aa.m_product_id,NULL) * mcd.qty from ( select
mp.name,mp.m_product_id,mil.m_inventory_id,mi.docstatus,mil.m_inventoryline_id,mil.qtybook,mil.gtycount,mil.gtycount-mil.qtybook,mcd.amt,mcd.qt
y,round(abs(mcd.amt/mcd.qty),4),productcost(mp.m_product_id,NULL) from m_inventory mi join m_inventoryline mil on
mil.m_inventory_id=mi.m_inventory_id join m_costdetail mcd on mil.m_inventoryline_id =mcd.m_inventoryline_id join m_product mp on
mil.m_product_id=mp.m_product_id where mi.posted='Y' and mi.ad_client_id=1000000 and round(abs(mcd.amt/mcd.qty),4) !=
productcost(mp.m_product_id,NULL) order by 3,4) as aa where aa.m_inventoryline_id=mcd.m_inventoryline_id and aa.m_product_id
=mcd.m_product_id ;

UPDATE 1142

posiboltdb=# select count(*),count(distinct record_id) from fact_Acct where ad_table_id=321 and record_id in (select m_inventory_id from
m_inventory where ad_client_id =1000000 and posted='Y");

count | count

_______ U

34194 9

(1 row)

posiboltdb=# delete from fact_Acct where ad_table_id=321 and record_id in (select m_inventory_id from m_inventory where ad_client_id =1000000
and posted="Y");

DELETE 34194

posiboltdb=# update m_inventory set posted ='N' where ad_client_id =1000000 and posted="Y";

UPDATE 9

#2 - 01/11/2024 01:34 PM - Rijas P

- Status changed from Resolved to Closed

07/01/2025 12



http://redmine.posibolt.com/users/58

#3 - 05/21/2024 04:02 PM - SHAIJAL EDAVANA

- Tracker changed from Bug to Tasks
- Project changed from Euro Novelties to Temp Projects

- Category deleted (Others)

Files

Cost Change Request at POSibolt.xIsx 439 KB
12/12/2023
Rijas P
